import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //订单统计
    systemtoporderstatistics(data) {
        return request({
            url: '/system/top/order/statistics',
            method: 'get',
            params: data,
            isProce: true,
        })
    },
    //查询订单列表
    systemtoporderlist(data) {
        return request({
            url: '/system/top/order/list',
            method: 'get',
            params: data,
            isProce: true,
        })
    },
    //批量修改订单备注
    systemtoporderupdateremark(data) {
        return request({
            url: '/system/top/order/update/remark',
            method: 'post',
            data
        })
    },
    //获取订单详细信息
    systemtoporderid(data) {
        return request({
            url: '/system/top/order/' + data,
            method: 'get',
        })
    },
    //获取订单商品信息
    systemtopordergoodslist(data) {
        return request({
            url: '/system/top/order/goods/list',
            method: 'get',
            params: data
        })
    },
    //订单退款审核
    systemtoporderrefundcheck(data) {
        return request({
            url: '/system/top/order/refund/check',
            method: 'post',
            data
        })
    },
    //订单审核
    systemtopordercheck(data) {
        return request({
            url: '/system/top/order/check',
            method: 'post',
            data
        })
    },
    
    //订单退款审核详情
    systemtoporderrefunddetail(data) {
        return request({
            url: '/system/top/order/refund/detail/' + data,
            method: 'get',
        })
    },
    //订单应付审核详情
    systemtoporderdividedetail(data) {
        return request({
            url: '/system/top/order/divide/detail',
            method: 'get',
            params: data
        })
    },
    //获取订单成本设置
    systemtopordercost(data) {
        return request({
            url: '/system/top/order/cost/' + data,
            method: 'get',
        })
    },
    //批量订单成本修改
    systemtoporderupdatecost(data) {
        return request({
            url: '/system/top/order/update/cost',
            method: 'post',
            data
        })
    },
    //查询审核记录列表
    checkorderloglist(data) {
        return request({
            url: '/check/order/log/list',
            method: 'get',
            params: data
        })
    },
    //修改订单退款审核记录
    checkorderlogedit(data) {
        return request({
            url: '/check/order/log/edit',
            method: 'post',
            data
        })
    },
    //修改订单分成审核记录
    checkorderlogeditDivide(data) {
        return request({
            url: '/check/order/log/editDivide',
            method: 'post',
            data
        })
    },
    //批量修改订单分成审核记录
    updateBatchDivideByEditBo(data) {
        return request({
            url: '/check/order/log/updateBatchDivideByEditBo',
            method: 'post',
            data
        })
    },
    //导出订单列表
    systemtoporderexport(data) {
        return request({
            url: '/system/top/order/export',
            method: 'get',
            params: data,
            isProce: true,
        })
    },
    //订单学员信息导出
    systemtoporderstudentexport(data) {
        return request({
            url: '/system/top/order/student/export',
            method: 'get',
            params: data
        })
    },
    
    //订单操作记录
    systemtoporderlog(data) {
        return request({
            url: '/system/top/order/log',
            method: 'get',
            params: data
        })
    },
    //批量完单
    systemtoporderfinish(data) {
        return request({
            url: '/system/top/order/finish',
            method: 'post',
            data
        })
    },
    //新增订单网银打款
    orderbankpay(data) {
        return request({
            url: '/order/bank/pay',
            method: 'post',
            data
        })
    },
    //订单退款支付
    systemtoporderrefundpay(data) {
        return request({
            url: '/system/top/order/refund/pay',
            method: 'post',
            data
        })
    },
    //订单学员审核
    systemtopordercheckstudent(data) {
        return request({
            url: '/system/top/order/check/student',
            method: 'post',
            data
        })
    },
    //获取分成记录详细信息
    dividelogdata(data) {
        return request({
            url: '/divide/log/'+data,
            method: 'get'
        })
    },
    //总平台新增系统商户
    systemtenantadd(data) {
        return request({
            url: '/system/tenant/add',
            method: 'post',
            data
        })
    },
    //总平台修改系统商户
    systemtenantedittop(data) {
        return request({
            url: '/system/tenant/edit/top',
            method: 'post',
            data
        })
    },
    
}